Skip to main content

Get AMO Status Flag

Request to be POSTed to uri : /NorenWClientAPI/AMOStatusFlag

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*User Id
exch*Exchange Segment

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/AMOStatusFlag' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO", "exch":"NSE"}'

Response Details :

Json FieldsPossible valueDescription
statOk or Not_OkAMO status success or failure indication.
exchExchange
modeSTOP,ACCEPT,PUSHAMO Mode

Sample Success Response:

{
"stat": "Ok",
"exch": "NSE",
"mode": "STOP"
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}